﻿/**
  * Macros  damageLog :
  */

{
  "damageLog": {
    "enabled": true,
    "disabledDetailStats": true,
    "disabledSummaryStats": true,
    "log": {
      "moveInBattle": false,
      "x": 240,
      "y": -23,
      "dmg-kind": {
        "shot": "{{type-shell}}",                            
        "fire": "<font face='xvm'>&#x51;</font>",            
        "ramming": "<font face='xvm'>&#x52;</font>",         
        "world_collision": "<font face='xvm'>&#x53;</font>", 
        "drowning": "Dr",                                    
        "overturn": "<font face='xvm'>&#x112;</font>",       
        "death_zone": "DZ",                                  
        "gas_attack": "GA",                                  
        "art_attack": "<font face='xvm'>&#x110;</font>",     
        "air_strike": "<font face='xvm'>&#x111;</font>"      
      },
      "c:dmg-kind": {
        "shot": "{{c:hit-effects}}",       
        "fire": "#FF6655",                 
        "ramming": "#998855",              
        "world_collision": "#228855",      
        "drowning": "#CCCCCC",             
        "overturn": "#CCCCCC",             
        "death_zone": "#CCCCCC",           
        "gas_attack": "#CCCCCC",           
        "art_attack": "{{c:hit-effects}}", 
        "air_strike": "{{c:hit-effects}}"  
      },
      
      "splash-hit":{
        "splash": "<font face='xvm'>&#x2C;</font>", 
        "no-splash": ""                             
      },
      
      "type-shell": {
        "armor_piercing": "<font color='{{c:costShell}}'>{{l10n:armor_piercing}}</font>",       
        "high_explosive": "<font color='{{c:costShell}}'>{{l10n:high_explosive}}</font>",       
        "armor_piercing_cr": "<font color='{{c:costShell}}'>{{l10n:armor_piercing_cr}}</font>", 
        "armor_piercing_he": "<font color='{{c:costShell}}'>{{l10n:armor_piercing_he}}</font>", 
        "hollow_charge": "<font color='{{c:costShell}}'>{{l10n:hollow_charge}}</font>",         
        "not_shell": ""                                                                         
      },
      
      "c:type-shell": {
        "armor_piercing": "#CCCCCC",    
        "high_explosive": "#CCCCCC",    
        "armor_piercing_cr": "#CCCCCC", 
        "armor_piercing_he": "#CCCCCC", 
        "hollow_charge": "#CCCCCC",     
        "not_shell": "#CCCCCC"          
      },
      
      "vtype": {
        "mediumTank": "<font face='xvm'>&#x3B;</font>", 
        "lightTank": "<font face='xvm'>&#x3A;</font>",  
        "heavyTank": "<font face='xvm'>&#x3F;</font>",  
        "AT-SPG": "<font face='xvm'>&#x2E;</font>",     
        "SPG": "<font face='xvm'>&#x2D;</font>",        
        "not_vehicle": ""                               
      },
      
      "c:vtype":{
        "mediumTank": "#77a582", 
        "lightTank": "#87d51d",  
        "heavyTank": "#ead196",  
        "AT-SPG": "#0544fe",     
        "SPG": "#ff6a00",        
        "not_vehicle": "#CCCCCC" 
      },
      
      "hit-effects": {
        "armor_pierced": "{{dmg}}",                                    
        "intermediate_ricochet": "{{l10n:intermediate_ricochet}}",     
        "final_ricochet": "{{l10n:final_ricochet}}",                   
        "armor_not_pierced": "{{l10n:armor_not_pierced}}",             
        "armor_pierced_no_damage": "{{l10n:armor_pierced_no_damage}}", 
        "unknown": "{{l10n:armor_pierced_no_damage}}"                  
      },
      
      "c:hit-effects": {
        "armor_pierced": "#FF4D3C",           
        "intermediate_ricochet": "#CCCCCC",   
        "final_ricochet": "#CCCCCC",          
        "armor_not_pierced": "#CCCCCC",       
        "armor_pierced_no_damage": "#CCCCCC", 
        "unknown": "#CCCCCC"                  
      },
      
      "critical-hit":{
        "critical": "*",  
        "no-critical": "" 
      },
      
      "comp-name":{
        "turret": "{{l10n:turret}}",   
        "hull": "{{l10n:hull}}",       
        "chassis": "{{l10n:chassis}}", 
        "gun": "{{l10n:gun}}",         
        "unknown": ""                  
      },
            
      "team-dmg":{
        "ally-dmg": "",  
        "enemy-dmg": "", 
        "player": "",    
        "unknown": ""    
      },
            
      "c:team-dmg":{
        "ally-dmg": "#00EAFF",  
        "enemy-dmg": "#CCCCCC", 
        "player": "#228855",    
        "unknown": "#CCCCCC"    
      },
      
      
      "costShell":{
        "gold-shell": "",   
        "silver-shell": "", 
        "unknown": ""       
      },
            
      "c:costShell":{
        "gold-shell": "#FFCC66",   
        "silver-shell": "#CCCCCC", 
        "unknown": ""              
      },
      
      "showHitNoDamage": true,
      "groupDamagesFromFire": true,
      "groupDamagesFromRamming_WorldCollision": true,
      "shadow": { 
        "distance": 1,
        "angle": 90,
        "color": "#000000",
        "alpha": 75,
        "blur": 5,
        "strength": 3,
        "hideObject": false,
        "inner": false,
        "knockout": false,
        "quality": 1 
      },
      
      "formatHistory": "<textformat tabstops='[13,58,103,110]'><font size='11' color='#DAA520'>{{number}}.</font><tab><font size='12' color='{{c:dmg-kind}}'>{{hit-effects}}{{critical-hit}}{{splash-hit}}<tab>{{dmg-kind}}</font><tab><font color='{{c:vtype}}'>{{vtype}}</font><tab><font color='{{c:team-dmg}}' size='13'>{{vehicle}}</font></textformat>"
    },
    
    "logBackground": {
      "$ref": { "path":"damageLog.log" },
      "formatHistory": "<img height='20' width='310' src='xvm://res/icons/damageLog/{{dmg=0?no_dmg|dmg}}.png'>"
    },    
    
    "logAlt": {
      "$ref": { "path":"damageLog.log" },
      "showHitNoDamage": true,
      "formatHistory": "<textformat tabstops='[30,135,170]'><font face='mono' size='11'>{{number%3d~.}}</font><tab><font color='{{c:dmg-kind}}'>{{hit-effects}}{{critical-hit}}{{splash-hit}}<tab>{{dmg-kind}}</font><tab><font color='{{c:team-dmg}}'>{{name}}</font></textformat>"
    },
    "logAltBackground": {
      "$ref": { "path":"damageLog.logAlt" },
      "formatHistory": "<img height='20' width='310' src='xvm://res/icons/damageLog/{{dmg=0?no_dmg|dmg}}.png'>"
    },    
    
    "lastHit": {
      "$ref": { "path":"damageLog.log" },
      
      "moveInBattle": false,
      "x": -120,
      "y": 200,
      "showHitNoDamage": true,
      "timeDisplayLastHit": 7,
      
      "shadow": { 
        "distance": 0,
        "blur": 6,
        "strength": 6,
        "color": "{{dmg=0?#000000|#770000}}"
      },
      
      "formatLastHit": "<font size='16' color='{{c:dmg-kind}}'>{{hit-effects}}</font>"
    }
  }
}