﻿/**
 * Options for alive with Alt markers.
 */
{
  "def": {    
    "damageText": {      
      "enabled": true,      
      "x": 0,
      "y": -67,      
      "alpha": 100,
      "align": "center",      
      "textFormat": {
        "font": "$FieldFont",           
        "size": 18,                  
        "color": null,
        "bold": false,                  
        "italic": false                 
      },      
      "shadow": {
        "enabled": true,
        "distance": 0,                  
        "angle": 45,                    
        "color": "0x000000",            
        "alpha": 100,                   
        "blur": 3,                      
        "strength": 1                   
      },      
      "speed": 2,      
      "maxRange": 40,      
      "damageMessage": "{{dmg}}",      
      "blowupMessage": "{{l10n:blownUp}}\n{{dmg}}"
    },    
    "playerName": {
      "name": "Player name",          
      "enabled": true,                
      "x": 0,                         
      "y": -36,                       
      "alpha": 100,                   
      "align": "center",              
      
      "textFormat": {
        "font": "$FieldFont",         
        "size": 13,                   
        "color": null,                
        "bold": false,                
        "italic": false               
      },
      
      "shadow": {        
        "enabled": true,
        "distance": 0,                
        "angle": 45,                  
        "color": "0x000000",          
        "alpha": 100,                 
        "blur": 6,                    
        "strength": 2                 
      },
      "format": "{{nick}}"            
    },
    
    "hpPercent": {
      "name": "Percent of HP",
      "enabled": true,
      "x": 0,
      "y": -20,
      "alpha": 100,
      "align": "center",
      "textFormat": {
        "font": "$FieldFont",
        "size": 11,
        "color": "0xD9D9D9",
        "bold": true,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 4,
        "strength": 1
      },
      "format": "{{hp-ratio}}% / {{hp-max}}"
    },
    
    "rating": {
      "name": "Rating",
      "enabled": true,
      "x": 0,
      "y": -51,
      "alpha": 100,
      "align": "center",
      "textFormat": {
        "font": "$FieldFont",
        "size": 13,
        "color": "{{c:r}}",
        "bold": false,
        "italic": false
      },
      "shadow": {
        "enabled": true,
        "distance": 0,
        "angle": 45,
        "color": "0x000000",
        "alpha": 100,
        "blur": 6,
        "strength": 2
      },
      "format": "{{r}}"
    }
  },
  
  "ally": {    
    "vehicleIcon": {      
      "enabled": true,      
      "showSpeaker": false,      
      "x": 0,
      "y": -16,      
      "alpha": 100,      
      "maxScale": 100,      
      "offsetX": 0,      
      "offsetY": 0
    },
    
    "healthBar": {
      "enabled": true,                  
      "x": -36,                         
      "y": -33,                         
      "alpha": 100,                    
      "color": null,                    
      "lcolor": null,                   
      "width": 70,                      
      "height": 12,                  
      "border": {
        "alpha": 35,                    
        "color": "0x000000",            
        "size": 1                       
      },      
      "fill": {
        "alpha": 45                     
      },
      
      "damage": {
        "alpha": 80,                    
        "color": null,                  
        "fade": 1                       
      }
    },
    
    "damageText": {
      "$ref": { "path":"def.damageText" }
    },
    "damageTextPlayer": {
      "$ref": { "path":"def.damageText" }
    },
    "damageTextSquadman": {
      "$ref": { "path":"def.damageText" }
    },
    
    "contourIcon": {      
      "enabled": false,      
      "x": 6,
      "y": -65,      
      "alpha": 100,      
      "color": null,      
      "amount": 0
    },    
    "levelIcon": {
      "enabled": false,  
      "x": 0,            
      "y": -21,          
      "alpha": 100       
    },    
    "actionMarker": {
      "enabled": true,   
      "x": 0,            
      "y": -67,          
      "alpha": 100       
    },    
    "stunMarker": {
      "enabled": true,   
      "x": 0,            
      "y": -67,          
      "alpha": 100       
    },    
    "textFields": [
      ${ "def.playerName" },
      ${ "def.hpPercent" },
      ${ "def.rating" }
    ]
  },  
  "enemy": {    
    "vehicleIcon": {
      "enabled": true,
      "showSpeaker": false,
      "x": 0,
      "y": -16,
      "alpha": 100,
      "maxScale": 100,
      "offsetX": 0,
      "offsetY": 0
    },
    
    "healthBar": {
      "enabled": true,
      "x": -36,
      "y": -33,
      "alpha": 100,
      "color": null,
      "lcolor": null,
      "width": 70,
      "height": 12,
      "border": {
        "alpha": 35,
        "color": "0x000000",
        "size": 1
      },
      "fill": {
        "alpha": 50
      },
      "damage": {
        "alpha": 80,
        "color": null,
        "fade": 1
      }
    },
    
    "damageText": {
      "$ref": { "path":"def.damageText" }
    },
    "damageTextPlayer": {
      "$ref": { "path":"def.damageText" }
    },
    "damageTextSquadman": {
      "$ref": { "path":"def.damageText" }
    },
    
    "contourIcon": {
      "enabled": false,
      "x": 6,
      "y": -65,
      "alpha": 100,
      "color": null,
      "amount": 0
    },
    
    "levelIcon": {
      "enabled": false,
      "x": 0,
      "y": -21,
      "alpha": 100
    },
    
    "actionMarker": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100
    },    
    "stunMarker": {
      "enabled": true,
      "x": 0,
      "y": -67,
      "alpha": 100
    },    
    "textFields": [
      ${ "def.playerName" },
      ${ "def.hpPercent" },
      ${ "def.rating" }
    ]
  }
}